SELECT "Drop index on charID"; 
DROP INDEX IF EXISTS comic1;

SELECT "started building new index";

CREATE INDEX IF NOT EXISTS comic2
ON marvel (comicId);

SELECT "done with building index"; 

--Optional, if you want the explain query (START)
SELECT "   here is the query plan-----";
EXPLAIN SELECT COUNT(*) FROM
marvel m1 
INNER JOIN
marvel m2
ON m1.comicId = m2.comicId AND m1.charId>m2.charId;
SELECT "   end of query plan - starting query -----";
--Optional, if you want the explain query (END)

SELECT COUNT(*) FROM
marvel m1 
INNER JOIN
marvel m2
ON m1.comicId = m2.comicId 
WHERE m1.charId>m2.charId;
